

# 23.0联合正态随机变量

共同正态随机变量高尔顿对椭圆散布图的观测成为多元回归的基础，是数据分析中最常用的方法之一。多元回归及其现代变体的推论通常是基于多元回归的

## 23.1随机向量

向量值随机变量，或者更简单地说，随机向量，是在相同空间中定义的随机变量的列表。我们把它看做一个列。
$$
\mathbf{X} ~ = ~ 
\begin{bmatrix}
X_1 \\
X_2 \\
\vdots \\
X_n
\end{bmatrix}
$$
为了便于显示,我们有时会写
$$
\mathbf{X} = [X_1 X_2 \ldots X_n]^T
$$

$$
\mathbf{M}^T
$$

是相对于符号M矩阵的转置. X的平均向量
$$
\boldsymbol{\mu} = [\mu_1 ~ \mu_2 ~ \ldots ~ \mu_n]^T
$$

$$
当\mu_i = E(X_i)
$$

。X是
$$
n \times n
$$
矩阵的协方差矩阵Σ的第(i, j)元素是
$$
Cov(X_i, X_j)
$$
。Σ的第i个对角元素是
$$
X_i
$$
的方差。由于协方差的对称性，矩阵是对称的。



### 线性变换:均值向量

令A为
$$
m \times n
$$
的数值矩阵，b为
$$
m \times 1
$$
数值向量。考虑
$$
m \times 1
$$
随机向量Y=AX+b。Y的第i个元素是
$$
Y_i ~ = ~ \mathbf{A}_{i*}\mathbf{X} + \mathbf{b}(i)
$$
其中
$$
\mathbf{A}_{i*}
$$
是A的第i行，b(i)是b的第i个元素。
$$
Y_i ~ = ~ a_{i1}X_1 + a_{i2}X_2 + \cdots + a_{in}X_n + b_i
$$
其中
$$
a_{ij}
$$
是A的(i,j)项，
$$
b_i = \mathbf{b}(i)
$$
因此
$$
Y_i
$$
是一个对于元素X的线性组合，因此线性的期望为,
$$
E(Y_i) ~ = ~ \mathbf{A}_{i*} \boldsymbol{\mu} + \mathbf{b}(i)
$$
让
$$
μ_Y
$$
 作为y的平均向量, 通过上面的计算中, 
$$
\boldsymbol{\mu}_\mathbf{Y} ~ = ~ \mathbf{A} \boldsymbol{\mu} + \mathbf{b}
$$


### 线性变换:协方差矩阵

$$
Cov(Y_i, Y_j)
$$

可以用协方差的双线性度来计算。
$$
\begin{align*}
Cov(Y_i, Y_j) ~ &= ~ Cov(\mathbf{A}_{i*}\mathbf{X}, \mathbf{A}_{j*}\mathbf{X}) \\
&= ~ Cov\big{(} \sum_{k=1}^n a_{ik}X_k, \sum_{l=1}^n a_{jl}X_l \big{)} \\
&= ~ \sum_{k=1}^n\sum_{l=1}^n a_{ik}a_{jl}Cov(X_k, X_l) \\
&= ~ \sum_{k=1}^n\sum_{l=1}^n a_{ik}Cov(X_k, X_l)t_{lj} ~~~~~ \text{where } t_{lj} = \mathbf{A}^T(l, j) \\
\end{align*}
$$
 (l, j)这是
$$
\mathbf{A}\boldsymbol{\Sigma}\mathbf{A}^T
$$
的元素。如果
$$
Σ_Y
$$
表示协方差矩阵Y,那么
$$
\boldsymbol{\Sigma}_\mathbf{Y} ~ = ~ \mathbf{A} \boldsymbol{\Sigma} \mathbf{A}^T
$$


### 矩阵Σ上的限制

我们知道Σ必须对称,所有主对角线上的元素必须是非负数。同时,无论什么,
$$
Σ_Y
$$
所有必须的对角元素非负时的方差的元素Y
$$
Σ_Y
$$
的公式

也就是说
$$
\mathbf{a}^T \boldsymbol{\Sigma} \mathbf{a} ~ \ge ~ 0 ~~~~ \text{for all } n\times 1 \text{ vectors } \mathbf{a}
$$
因为
$$
\mathbf{a} \boldsymbol{\Sigma} \mathbf{a}^T
$$

是一个标量，因此等于它的转置。

也就是说,Σ必须半正定。通常，我们会用正定协方差矩阵

因为如果
$$
\mathbf{a} \boldsymbol{\Sigma} \mathbf{a}^T = 0
$$
X的一些元素的线性组合是恒定的。因此，你可以把一些元素写成其他元素的线性组合，然后研究一个简化的元素集。

